.page-node-type-blog {
  background-color: #f8f8f8;


  .nav-breadcrumb {
    margin-left: auto;
    margin-right: auto;
    width: var(--width-post);
    max-width: var(--max-width-post);
  }
}

.post-container {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  gap: 20px;

  margin-left: auto;
  margin-right: auto;
  width: var(--width-post);
  max-width: var(--max-width-post);

  img {
    display: block;
    max-width: 100%;
    height: auto;
  }
}

.post-header {
  display: flex;
  gap: 20px;
  font-size: 15px;
  border-bottom: 1px solid #DCC1B8;
  padding-bottom: 20px;
  padding-top: 5px;

  .post-field {
    display: flex;
    align-items: center;
    gap: 3px;
    text-transform: capitalize;
  }

  circle {
    fill: var(--accent);
  }

  path {
    fill: var(--accent);
  }
}

.post-content {
  margin-top: 30px;
}

.content-toc__title {
  font-size: 15px;
  text-transform: uppercase;
  margin-top: 0;
  margin-bottom: 10px;
}


.content-toc {
  padding: 20px;
  margin-top: 50px;
  margin-bottom: 30px;
  border-radius: 15px;
  background: #f5f3f0;
  border: 1px solid #DCC1B8;

  .content-toc__list {
    list-style: none;
  }

  .content-toc__link {
    font-size: 15px;
    color: var(--accent);

    &:hover {
      text-decoration: underline;
    }
  }

  .content-toc__item--level-0 {
    list-style-type: disc;
    display: list-item; /* necesario para que se vea el marcador */
  }

  .content-toc__item--level-1 {
    padding-left: 1rem;
  }
}

.card-author {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  text-align: center;

  .card-author__name {
    color: var(--brand);
    font-size: 20px;
    text-transform: capitalize;
    font-weight: 700;
  }

  .card-author__photo {
    width: 85px;
    height: 85px;
    border-radius: 15px;
    padding: 5px;
    background-color: #EAE8E5;
    overflow: hidden;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      border-radius: 10px;
    }
  }

  .card-author__bio {
    font-size: 15px;
  }
}

.share--post {
  display: flex;
  gap: 10px;

  path {
    fill: var(--accent);
  }
}

.post--tags-title {
  text-transform: uppercase;
  font-size: 15px;
  font-weight: 700;
  display: block;
  margin-bottom: 10px;
  color: var(--accent);
}

.post--tags {
  border-bottom: 1px solid #DCC1B8;
  padding-bottom: 20px;
  margin-bottom: 20px;
}

.content-sidebar {
  top: 75px;
  position: sticky;
}

.field-blog-tags {
  display: flex;
  flex-direction: row;
  gap: 10px;

  a {
    text-transform: capitalize;
    background-color: #e1eae6;
    color: var(--darked);
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 0.65rem;
    font-weight: 700;
  }
}

@media (width >= 1024px) {
  .post-container {
    grid-template-columns: 1fr 25%;
    gap: 80px;
  }

}
